# Refund or Reverse a Transfer

Reverse a transfer with a type of DEBIT. This reversal creates a new Transfer resource with a type of REVERSAL.

## Endpoint

`POST /transfers/{transfer_id}/reversals`

## Security

BasicAuth

## Path parameters:

- `transfer_id` (string, required)  
  The ID of the parent Transfer resource.  
  Example: "TRrC36MYGH6n67wRfYs8w8RK"

## Header parameters:

- `Finix-Version` (string)  
  Specify the API version of your request. For more details, see Versioning.  
  Example: "2022-02-01"

- `Content-Type` (string)  
  The data type being sent in the request body must be application/json.  
  Example: "application/json"

## Response 201 fields (application/json):

- `id` (string)  
  The ID of the resource.

- `created_at` (string)  
  Timestamp of when the object was created.

- `updated_at` (string)  
  Timestamp of when the object was last updated.

- `additional_buyer_charges` (object,null)  
  Details about any [Buyer Charges](../../../../guides/online-payments/payment-features/buyer-charges) included in the Transfer. The buyer charges are mutually exclusive.

- `additional_healthcare_data` (object,null)

- `additional_purchase_data` (object,null)  
  Additional information about the purchase used for [Level 2 and Level 3 Processing](/guides/online-payments/payment-features/level-2-level-3-processing). Please note that Visa is ending its Level 2 offering in April 2026.

- `amount` (integer)  
  The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).  
  Example: 5000

- `currency` (string)  
  ISO 4217 3-letter currency code.  
  Enum: "CAD", "USD"

- `type` (string)  
  Type of Transfer.  
  Enum: "DEBIT", "CREDIT", "REVERSAL", "ADJUSTMENT", "DISPUTE", "RESERVE", "SETTLEMENT", "UNKNOWN"

## Response 400 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.
